app.service('$reporting', function($http, blockUI) {
  this.getMetadata = function(callback) {
    blockUI.start('A obter meta dados...');
    $http.get('/api/reporting/metadata')
    .then(function(response) {
      callback(null, response.data);
    })
    .catch(function(response) {
      callback(response);
    })
    .finally(function() {
      blockUI.stop();
    });
  };
});
